Search these docs, or ask Revo a question — answers link the pages they came from.
Returns the status and trace of a plan run
GET
/api/v1/{tenantId}/schedules/plan-runs/{planRunId}
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” tenantId
required
string
planRunId
required
string
Responses
Section titled “ Responses ”OK
object
planRunId
string
scheduleId
string
status
string
startedUtc
string format: date-time
finishedUtc
string format: date-time
makespanSeconds
number format: double
warnings
Array<string>
errorMessage
string
trace
Array<object>
object
scheduleThreadId
string
deviceName
string
operationName
string
eventType
string
kind
string
virtualTime
string format: date-time
sourceLocationName
string
destinationLocationName
string
objectName
string
Bad Request
object
message
string
code
string
Too Many Requests
object
message
string
code
string
Service Unavailable
object
message
string
code
string
Gateway Timeout
object
message
string
code
string